Subject: [alpine-user] How to find out whether an Alpine installation has pending security updates

From: Nils Toedtmann <[email-masked]>
Date: Tue, 10 Jan 2017 17:26:37 +0000

Hi *

How can I find out (in a shell/scriptable) whether there are security
updates pending for an Alpine host/container?

I am looking for the Alpine equivalent to e.g. Ubuntu's
update-notifier-common:

    /usr/lib/update-notifier/apt-check 2>&1 | cut -d ';' -f 2

Does Alpine actually distinguish between security and non-security updates?

Are security advisories/notices for Alpine published? The RedMine Atom
feed is already helpful, but I am after something more simple, that
basically says

   "If you run openssh on Alpine 3.2, 3.3 or 3.4, upgrade it to >= 7.4"

Kind regards  /nils

-- 
Nils Toedtmann, Systems Architect & Director
[email-masked]
+44 (0) 7821 817722
_
Demand Logic Limited office:
Westgate House, 2a Prebend Street, London N1 8PT, UK
http://www.demandlogic.co.uk/
[email-masked]
+44 (0) 20 7193 4212

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---